#!/usr/bin/env python

import socket
import struct

TCP_IP = '10.10.0.51'
TCP_PORT = 5123
BUFFER_SIZE = 1024
MESSAGE = struct.pack('!l',BUFFER_SIZE)

s = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
s.connect((TCP_IP, TCP_PORT))
r = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
r.connect((TCP_IP, TCP_PORT+2))
print "Requesting ",BUFFER_SIZE, " bytes"

for i in range(1,15):
  s.send(MESSAGE)
  data = s.recv(BUFFER_SIZE)

  # First 4 bytes are checksum followed by the 4 byte sequence number
  crc,sn = struct.unpack('!LL',data[:8])
  print "Seq #:", sn, " with CRC [", hex(crc), "]"
  r.send(data)
s.close()
r.close()
